- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InitDualVariableValues Class Reference

the InitDualVariableValues class. More...

`#include <OSOption.h>`

Collaboration diagram for InitDualVariableValues:

[legend]
List of all members.

## Public Member Functions
| InitDualVariableValues ()
| Default constructor.
| ~InitDualVariableValues ()
| Class destructor.
bool | IsEqual (InitDualVariableValues *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setCon (int numberOfCon, InitDualVarValue **con)
| A function to set an array of <con> elements.
bool | setCon (int numberOfCon, int *idx, double *lbValue, double *ubValue)
| Alternative signature for this function.
bool | addCon (int idx, double lbDualValue, double ubDualValue)
| A function to add a <con> element.
## Public Attributes
int | numberOfCon
| number of <con> children
InitDualVarValue ** | con
| initial dual values for each constraint

## Detailed Description

the InitDualVariableValues class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2522 of file OSOption.h.

## Constructor & Destructor Documentation

InitDualVariableValues::InitDualVariableValues | ( |  | ) |

Default constructor.

Definition at line 1005 of file OSOption.cpp.

References con.

InitDualVariableValues::~InitDualVariableValues | ( |  | ) |

Class destructor.

Definition at line 1014 of file OSOption.cpp.

References con, and numberOfCon.

## Member Function Documentation

bool InitDualVariableValues::IsEqual | ( | InitDualVariableValues * | that | ) |

A function to check for the equality of two objects.

Definition at line 9929 of file OSOption.cpp.

References con, and numberOfCon.

bool InitDualVariableValues::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 11144 of file OSOption.cpp.

References con, numberOfCon, OSRand(), and InitDualVarValue::setRandom().

Referenced by ConstraintOption::setRandom().

bool InitDualVariableValues::setCon | ( | int | numberOfCon,
|  | InitDualVarValue ** | con |
| ) |  |  |

A function to set an array of <con> elements.

Parameters:

  | numberOfCon,: | number of <con> elements to be set
  | con,: | the array of <con> elements that are to be set

Definition at line 5766 of file OSOption.cpp.

References con, and ErrorClass::errormsg.

Referenced by OSOption::setInitDualValues(), and OSOption::setInitDualVarValuesSparse().

bool InitDualVariableValues::setCon | ( | int | numberOfCon,
|  | int * | idx,
|  | double * | lbValue,
|  | double * | ubValue |
| ) |  |  |

Alternative signature for this function.

Parameters:

  | numberOfCon,: | number of <con> elements to be set
  | idx,: | the array of indices
  | lbValue,: | the array of dual values for the lower bound
  | ubValue,: | the array of dual values for the upper bound

Definition at line 5793 of file OSOption.cpp.

References con, InitDualVarValue::idx, InitDualVarValue::lbDualValue, and InitDualVarValue::ubDualValue.

bool InitDualVariableValues::addCon | ( | int | idx,
|  | double | lbDualValue,
|  | double | ubDualValue |
| ) |  |  |

A function to add a <con> element.

Parameters:

  | idx,: | the index of the constraint to be given initial dual variables
  | lbDualValue,: | an initial value for the dual variable associated with the lower bound
  | ubDualValue,: | an initial value for the dual variable associated with the upper bound

Definition at line 5826 of file OSOption.cpp.

References con, ErrorClass::errormsg, InitDualVarValue::idx, InitDualVarValue::lbDualValue, numberOfCon, and InitDualVarValue::ubDualValue.

Referenced by OSOption::setAnotherInitDualVarValue().

## Member Data Documentation

int InitDualVariableValues::numberOfCon

number of <con> children

Definition at line 2526 of file OSOption.h.

Referenced by addCon(), OSOption::getNumberOfInitDualVarValues(), IsEqual(), OSOption::setInitDualVarValuesSparse(), setRandom(), and ~InitDualVariableValues().

InitDualVarValue** InitDualVariableValues::con

initial dual values for each constraint

Definition at line 2529 of file OSOption.h.

Referenced by addCon(), OSOption::getInitDualVarValuesSparse(), InitDualVariableValues(), IsEqual(), setCon(), OSOption::setInitDualVarValuesDense(), setRandom(), and ~InitDualVariableValues().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp